Subject: Re: Re: Re: bug#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Oct 2014 16:35:34 +0300

[Once again, PLEASE keep the bug address on the CC list.]

> From: "Yanning Du" <[email-masked]>
> Date: Sun, 19 Oct 2014 10:57:14 +0800
> 
> I removed emacs_dir from the registry and ran emacs, I got the same message box.
> Should I rebuild emacs after removing emacs_dir from the registry?

I don't know yet, because what you report includes some strange
details, see below.

> I ran emacs 24.4 using runemacs.exe from command prompt (cmd.exe).

Please try running emacs.exe from F:\myemacs-24.3.94\bin directly from
the cmd.exe prompt.  Does that show the same abort dialog, or does it
run normally?

Here are the questions I have regarding your report:

> Emacs version: Emacs 24.4 release candidate 1
> 
> I used the following commands to build and install Emacs 24.4 release candidate 1:
> /f/build-emacs/emacs-24.3.94$ CFLAGS='-I/f/build-emacs/libxpm-3.5.8-w32-src/include -I/f/build-emacs/libxpm-3.5.8-w32-src/src' ./configure --prefix=/f/myemacs-24.3.94
> /f/build-emacs/emacs-24.3.94$ make
> /f/build-emacs/emacs-24.3.94$ make install

You say you've built Emacs 24.4 release candidate 1, but the build
directory and the --prefix argument seem to say it's 24.3.94, a
pretest.  Likewise, your src/epaths.h file says it's a 24.3.94
pretest:

> #define PATH_LOADSEARCH "%emacs_dir%/share/emacs/24.3.94/lisp"
> #define PATH_SITELOADSEARCH "%emacs_dir%/share/emacs/24.3.94/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> #define PATH_DUMPLOADSEARCH "f:/build-emacs/emacs-24.3.94/lisp"
> #define PATH_EXEC "%emacs_dir%/libexec/emacs/24.3.94/i686-pc-mingw32"
> #define PATH_DATA "%emacs_dir%/share/emacs/24.3.94/etc"
> #define PATH_BITMAPS ""
> #define PATH_DOC "%emacs_dir%/share/emacs/24.3.94/etc"
> #define PATH_INFO "%emacs_dir%/share/info"
> #define PATH_GAME "%emacs_dir%/var/games/emacs"
> #define PATH_X_DEFAULTS ""

So which version did you build, exactly?

Also, did you put the F:\myemacs-24.3.94\bin on your PATH?

In any case, the directories where Emacs claims to have looked for
term/w32-win.el, i.e.

  ("f:/myemacs-24.3.94/site-lisp" "F:/myemacs-24.3.94/../site-lisp" "F:/myemacs-24.3.94/lisp" "F:/myemacs-24.3.94/leim")

correspond to the old build and install method, the one you used to do
using nt/configure.bat.  So my first guess would be that you invoked
an old emacs.exe, which still tries to look for its files in the old
place.  Please see what is the full path to emacs.exe that is running
when you are shown the abort dialog (you can do this using specialized
utilities, such as the Process Explorer from SysInternals, whch show
various properties of the running process).